#include <bits/stdc++.h>
using namespace std;
int n, m;
map<int,long long> dp[1000001];
long long rec(int x, int y){
	if(x<1||y<1){
		return 0;
	}
	if(x==1 && y==1){
		return 1;
	}
	if(dp[x][y]){
		return dp[x][y];
	}
	if(x>y){
		dp[x][y]=rec(x-1,y)+rec(1,y)+x*y;
	}
	else{
		dp[x][y]=rec(x,y-1)+rec(x,1)+x*y;
	}
	return dp[x][y];
}
int main(){
	cin>>n>>m;
	cout<<rec(n,m);
}
